<?
header("Content-Type: application/xhtml+xml; charset=utf8");
use_helper('UrlFunctions');
$o_ObjectBean = new ClienteBean();


  
$tamanioPag = 10;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
if($idCliente   	!=""){ $o_ObjectBean->setIdCliente($idCliente); }
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($txtDni       		!=""){ $o_ObjectBean->setDni($txtDni); }
if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado); }
if($txtNombre    		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre    		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre    		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }

$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;


//Filtro por Mercado
$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
$o_MercadoRepresentanteBean->setIdColaborador(myUser::getUser()->getIdColaborador());

$o_MercadoRepresentanteBL = new MercadoRepresentanteBL();
$a_o_MercadoRepresentante = $o_MercadoRepresentanteBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean);

if(is_array($a_o_MercadoRepresentante) && count($a_o_MercadoRepresentante) >0){
	foreach ($a_o_MercadoRepresentante as $key => $o_MercadoRepresentante){
		$a_mercadosAsignados[] = $o_MercadoRepresentante->getIdMercado();
	}
}else{
	$a_mercadosAsignados[] = '0';
}
$o_ObjectBean->setFiltroMercado($a_mercadosAsignados); 
$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ObjectBean);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);
if(!$page) $page = 1;

if(myUser::getUser()->getIdPadre() == "1" || myUser::getUser()->getRoleId()=="sys.ope"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}elseif(myUser::getUser()->getIdPadre() == "A"){
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}

$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);

$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);

$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
<table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
  <td height="17" align="right" class="pager">
    <div id="contenedor">
      <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
    </div>
  </td>
</tr>
<tr>
  <td>
    <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr height="23">
        <th width="4%" >Nro</th>
        <th width="20%" align="left">Cliente</th> 
		<th width="4%"  align="left" >DNI &nbsp;&nbsp;&nbsp;</th>
        <th width="8%" align="left">Tel&eacute;fono</th>
        <th width="6%" align="left">Estado</th>
        <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Cre.</th>
        <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Cre.</th>
      
        <th width="10%">Opciones</th>
      </tr>
      <? if(count($a_ObjectBean)>0){ ?>
      <? foreach ($a_ObjectBean as $iKey => $o_objBean){ 
      	$o_ClienteBeantemp = new ClienteBean();
      	$o_ClienteBeantemp->setIdCliente($o_objBean->getIdCliente());
      	$o_ClienteBeantemp->setFechaInicioPrestamo($fecha);
      	$o_ClienteBLtemp = new ClienteBL();
      	$f_tienePrestamo = $o_ClienteBLtemp->TienePrestamo($o_ClienteBeantemp);
      	$bgcolor = "";
      	$bgcolor = ($f_tienePrestamo)?"#91C8FF":"";
      ?>
      <tr onClick="TR_click(this);" bgcolor="<?=$bgcolor?>">
        <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
        <td><?=$o_objBean->getNombreCompleto()?></td>
		<td align="left"><?=$o_objBean->getDni()?></td>
        <td align="left"><?=$o_objBean->getTelefono()?></td>
        <td><?=$o_objBean->getEstado()?></td>
        <td align="center"><?=$o_objBean->getUsuarioCreacion()?></td>
        <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
        <td align="center" valign="top">
           <input type="image" name="IngresoPrestamo" title = "Ingresar Prestamo" src="/images/common/buttons/btnOpen.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('ipe/add/idCliente/'.$o_objBean->getIdCliente())?>','block=001')">&nbsp;
           <input type="image" name="Renovacion" title = "Refinanciar" src="/images/common/buttons/btnReviewlist.gif" onclick="parent.objMainTab.reqBody('<?=buildUrl('ipe/sref/idCliente/'.$o_objBean->getIdCliente())?>','001')">&nbsp;         
        </td>
      </tr>
      <? } ?>
      <? }else{ ?>
      <tr>
        <td colspan="7" align="center">No se produjo resultado</td>
      </tr>
      <? } ?>
    </table>
  </td>
</tr>
<tr>
  <td>Total Registros: <?=count($a_ObjectBean)?></td>
</tr>
</table>